<?php
class ACME_BannerDrop extends DropActions {

	function init() {
	}

	function getInfo() {
		$info = [];
		switch ($this->drop['source']) {
			case 'manual':
				$info = [
					'title' => $this->drop['title'] ?? '',
					'subject' => $this->drop['subject'] ?? '',
					'image' => $this->drop['image'],
					'link' => $this->drop['link']['attrs'] ?? ''
				];
			break;
			case 'article':
				$article = kkDropperUtils::getShopObject('article', $this->drop['article']);
				$info = [
					'title' => $article['name'],
					'subject' => $article['data']->cHersteller ?? '',
					'image' => $article['image']['normal'],
					'link' => 'href="' . $article['url'] . '" title="' . $article['title'] . '"'
				];
			break;
		}

		return $info;
	}

}